import { jsx } from "react/jsx-runtime";
import { CoinVertical as CoinVertical$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CoinVertical = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CoinVertical", ...props, children: /* @__PURE__ */ jsx(CoinVertical$1, { weight: variant }) });
  }
);
CoinVertical.displayName = "CoinVertical";
Object.assign(CoinVertical, { isGdsIcon: true });
export {
  CoinVertical
};
